#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 31. KDE Frameworks 6 Based Applications

- Prev

  KMix-24.12.2

- Next

  Konsole-24.12.2

- Up
- Home

# khelpcenter-24.12.2

## Introduction to Khelpcenter

Khelpcenter is an application to show KDE Applications' documentation.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/24.12.2/src/khelpcenter-24.12.2.tar.xz

- Download MD5 sum: 2e41c8b16cfd36a1508a7741c1cffb60

- Download size: 4.0 MB

- Estimated disk space required: 24 MB

- Estimated build time: 0.2 SBU (using parallelism=4)

### Khelpcenter Dependencies

#### Required

KDE Frameworks-6.11.0, libxml2-2.13.6, and xapian-1.4.27

#### Recommended

qtwebengine-6.8.2

#### Optional (Runtime)

kio-extras-24.12.2 (for displaying man pages and info pages)

## Installation of Khelpcenter

Install khelpcenter by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=$KF6_PREFIX \
          -D CMAKE_BUILD_TYPE=Release         \
          -D BUILD_TESTING=OFF                \
          -W no-dev .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Program: khelpcenter
Installed Libraries: None
Installed Directories: $KF6_PREFIX/share/khelpcenter, $KF6_PREFIX/share/doc/HTML/*/{khelpcenter,fundamentals,onlinehelp}

### Short Descriptions

khelpcenter | is the help viewer for KDE applications

- Prev

  KMix-24.12.2

- Next

  Konsole-24.12.2

- Up
- Home